GET /materials/{materialId} Deprecated

Get a Material

This endpoint allows you to get a Material.

Operation ID: getMaterial
lock This endpoint requires a Bearer token in the Authorization header.

Path Parameters

Name Type Description
materialId required
path
string

The Material ID

Responses

data object

Material model structure details

id string required read-only

ID of the Material

Example: 1

type string required read-only

Model type

material

Example: material

attributes object required
material_id integer read-only

ID of the material

Example: 1

parent_id integer read-only

ID of the associated folder of the material

Example: 1

name string

Name of the material

Example: Chair

code string

Code of the material

Example: CH-00001

full_code string read-only

Full code of the material (folders prefix included)

Example: FOLDER.CH-00001

observations string | null

Material observations

Example: This is a observation

is_real boolean

Indicates if this is a real material or a parent folder of materials

Example: 1

units string

Indicates which kind of unit should this material be measured with

Example: un

mean_price object

Mean price of the material

Example: 8

has_children boolean

Indicates if this material is a parent of other materials

Example: 1

default_sell_price number

The default sell price of the material

Example: 10

default_sell_vat number

The default sell VAT of the material

Example: 23

is_from_network boolean

Indicates if the material was shared via Infraspeak Network

Example:

purchase_consumption_type string

Purchase consumption type of the material

INHERIT AUTOMATIC MANUAL

Example: INHERIT

status string
error
error object
properties object

Only present when related to property validation error

dev_message string

Example: Property validation error. Check the "properties" section in the response.

http_code integer
400
message string

Example: Property validation error.

more_info string
status string
error
error object
http_code integer
401
message string

Example: Authentication token invalid.

more_info string
status string
error
error object
http_code integer
404
message string

Example: Resource not found

more_info string | null
status string
error
error object
http_code integer
429
message string

Example: Too Many Requests.

more_info string
status string
error
error object
http_code integer
500
message string

Example: An error has occurred during the request.

more_info string